"""Add the smartEdit commands to to Nuke's UI."""

# Import third-party modules
import nuke  # pylint: disable=import-error

# Import local modules
from smartEdit import helper
from smartEdit import osl as smartedit
from smartEdit.mvc import gui_helper
from smartEdit.mvc import model

# Icons for this package.
_ICONS = gui_helper.load_icons()


def add_to_ui():
    """Add the smartEdit commands to to Nuke's UI."""
    menu = nuke.menu("Nuke").addMenu("cragl/smartEdit", icon = _ICONS["logo"])

    launch_hotkey = helper.load_settings()["hotkey"]
    menu.addCommand("smartEdit", smartedit.main, launch_hotkey)

    nuke.menu("Animation").addCommand("add to smartEdit",
                                      "from smartEdit import nuke_funcs;"
                                      "nuke_funcs.add_quickedit_this_knob()")
    menu.addSeparator()
    menu.addCommand("&about", smartedit.show_about_window)


model.Model()
add_to_ui()
