"""Map Nuke internal knobs to custom widgets."""

# Import third-party modules
import nuke  # pylint: disable=import-error

# Map the given keys which are Nuke knob types to the following module name.
# This module should contain a class with the same name of the module, but
# being capitalized.
#  e.g.
#   module: `slider.py`, class: `Slider`
#   module: `somewidget.py`, class: `Somewidget`
MAP = {
    nuke.Array_Knob: "slider",
    nuke.WH_Knob: "slider",
    nuke.ChannelMask_Knob: "dropdown",
    nuke.Enumeration_Knob: "dropdown",
    nuke.EvalString_Knob: "stringinput",
    nuke.Multiline_Eval_String_Knob: "multilineinput",
    nuke.String_Knob: "stringinput",
    nuke.File_Knob: "pathinput",
    nuke.Boolean_Knob: "checkbox",
    nuke.Disable_Knob: "checkbox",
    nuke.PyScript_Knob: "button",
    nuke.UV_Knob: "array2d",
    nuke.XY_Knob: "array2d",
    nuke.XYZ_Knob: "array3d",
    nuke.Color_Knob: "color3d",
    nuke.AColor_Knob: "color4d",
}
