"""Three input fields for RGB color representation."""

# Import third-party modules
try:
    from PySide import QtCore
    from PySide import QtGui
    from PySide import QtGui as QtWidgets
except ImportError as error:
    from PySide2 import QtCore
    from PySide2 import QtGui
    from PySide2 import QtWidgets

# Import local modules
from smartEdit.widgets.array3d import Array3d


class Color3d(Array3d):
    """Three input fields for RGB color representation."""

    def setup_widgets(self):
        """Setup widgets."""
        super(Array3d, self).setup_widgets()

        self.input_a.setProperty("style", "red")
        self.input_b.setProperty("style", "green")
        self.input_c.setProperty("style", "blue")

        self.input_c.setText(str(self.knob.value()[2]))
